import subprocess as sub

class SystemRepository():

    def __init__(self):
        self.stdout = [""]
        self.stderr = [""]
    
    def run(self, *args):
        stream = sub.Popen(args,
                           stdout=sub.PIPE,
                           stderr=sub.PIPE,
                           text=True,
                           encoding="UTF-8")
        self.stdout = stream.stdout.readlines()
        self.stderr = stream.stderr.readlines()

    def run_checked(self, *args):
        self.run(args)

        if len(self.stderr) > 0:
            raise Exception(f"Command failed with: {self.stderr}")
